#!/bin/sh
# Mime Types for xFileMount rev2.1 by wow - Jan 8, 2007
# added support for ROX-Filer 2.5(Puppy-2.13)
# maybe it works with gnome, still untested

MSG=`which gxmessage` || MSG=xmessage

#######install files to /
MYDIR=`pwd`
cd /
tar -xjP --no-same-owner -f "$MYDIR/dotpup.tar.bz2"

#######insert new mime types to database ### rev2
if ! grep 'xfilemount/ext3' /usr/share/mime/globs > /dev/null
then
  cat /usr/share/mime/newtypes.2 >> /usr/share/mime/globs
fi
rm -f /usr/share/mime/newtypes.2

#######insert new mime types to database ### rev2.1
if ! grep 'xfilemount/initrd' /usr/share/mime/globs > /dev/null
then
  cat /usr/share/mime/newtypes.2.1 >> /usr/share/mime/globs
fi
rm -f /usr/share/mime/newtypes.2.1

#######final message
exec $MSG -center -default okay -title "Installer" "
<Mime Types for xFileMount> rev2.1 are installed

Usage:
- To mount/unmount just click any of these files:
  *.fs; *.sfs; *.squashfs; *.sqfs *.2fs; *.3fs; *.iso;
  *.img; image; image.gz; initrd; initrd.gz; initrd*;
  initrd*.gz

Requires:	
- xFileMount

___________________________
DotPup by wow - Jan 8, 2007
"
